Package twisted :: Package im :: Module pbsupport :: Class TwistedWordsClient

[show private | hide private]
[frames | no frames]

## Class TwistedWordsClient

      Jellyable --+
                  |
       Serializable --+
                      |
          Referenceable --+
                          |
    AbstractClientMixin --+
                          |
                         TwistedWordsClient

In some cases, this acts as an Account, since it a source of text messages (multiple Words instances may be on a single PB connection)

Method Summary
| `__init__(self, acct, serviceName, perspectiveName, chatui, _logonDeferred)`
| `addContact(self, name)`
| `connected(self, perspective)`
| `connectionLost(self, reason)` (inherited from `AbstractClientMixin`)
| `connectionMade(self)` (inherited from `AbstractClientMixin`)
| `getGroup(self, name)`
| `getGroupConversation(self, name)`
| `getPerson(self, name)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| `joinGroup(self, name)`
| `leaveGroup(self, name)`
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `remote_memberJoined(self, member, group)`
| `remote_memberLeft(self, member, group)`
| `remote_notifyStatusChanged(self, name, status)`
| `remote_receiveContactList(self, clist)`
| `remote_receiveDirectMessage(self, name, message, metadata)`
| `remote_receiveGroupMembers(self, names, group)`
| `remote_receiveGroupMessage(self, sender, group, message, metadata)`
| `remote_setGroupMetadata(self, dict_, groupName)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)
| ``unregisterAsAccountClient`(self)` Tell the chat UI that I have `signed off'. (inherited from `AbstractClientMixin`)

Generated by Epydoc 1.1 on Thu May 8 13:16:26 2003 | http://epydoc.sf.net